XnModuleDepthGeneratorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleMapGeneratorInterface * | pMapInterface
XnDepthPixel *(* | GetDepthMap )(XnModuleNodeHandle hGenerator)
XnDepthPixel(* | GetDeviceMaxDepth )(XnModuleNodeHandle hGenerator)
void(* | GetFieldOfView )(XnModuleNodeHandle hGenerator, XnFieldOfView *pFOV)
XnStatus(* | RegisterToFieldOfViewChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromFieldOfViewChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnModuleUserPositionCapabilityInterface * | pUserPositionInterface

## Detailed Description

Depth generator additional methods.

## Member Data Documentation

## GetDepthMap

XnDepthPixel *(* XnModuleDepthGeneratorInterface::GetDepthMap) (XnModuleNodeHandle hGenerator)

Gets the current depth-map. This map is updated after a call to WaitAndUpdateData().

Parameters

  hGenerator | [in] A handle to the instance.

## GetDeviceMaxDepth

XnDepthPixel(* XnModuleDepthGeneratorInterface::GetDeviceMaxDepth) (XnModuleNodeHandle hGenerator)

Gets the maximum depth the device can produce.

Parameters

  hGenerator | [in] A handle to the instance.

## GetFieldOfView

void(* XnModuleDepthGeneratorInterface::GetFieldOfView) (XnModuleNodeHandle hGenerator, XnFieldOfView *pFOV)

Gets the field of view of the sensor, in radians. This value will be used for translation between projective and real-world coordinates. It is assumed that the sensor is a pinhole camera.

Parameters

  hGenerator | [in] A handle to the instance.
  pFOV | [in] A struct to be filled with data.

## pMapInterface

XnModuleMapGeneratorInterface* XnModuleDepthGeneratorInterface::pMapInterface

Contains map generator interface.

## pUserPositionInterface

XnModuleUserPositionCapabilityInterface* XnModuleDepthGeneratorInterface::pUserPositionInterface

Contains User Position Capability interface.

## RegisterToFieldOfViewChange

XnStatus(* XnModuleDepthGeneratorInterface::RegisterToFieldOfViewChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to field of view changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when field of view changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromFieldOfViewChange().

## UnregisterFromFieldOfViewChange

void(* XnModuleDepthGeneratorInterface::UnregisterFromFieldOfViewChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToFieldOfViewChange.

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToFieldOfViewChange.

The documentation for this struct was generated from the following file:

- XnModuleInterface.h